---
title: "assertLessThanOrEq"
excerpt: "Check that a numerical value is less than or equal to another at runtime,"
layout: manual
---

Check that a numerical value is less than or equal to another at runtime,

otherwise raise an error.

```js
assertLessThanOrEq(left: number, right: number, message: string) -> ()
```


### Arguments

| Name | Type | Description | Required |
|----------|------|-------------|----------|
| `left` | `number` |  | Yes |
| `right` | `number` |  | Yes |
| `message` | `string` |  | Yes |

### Returns

`()` 


### Examples

```js
assertLessThanOrEq(1, 2, "1 is less than 2")
assertLessThanOrEq(1, 1, "1 is equal to 1")
```

![Rendered example of assertLessThanOrEq 0](data:image/png;base64,[encoded data, 26204 characters])


